#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\editfile.h>
#pragma hdrstop
#include "splitwin.h"
#include "splitapp.rh"
//#include <owl\editfile.h>

class TMyWindow : public TSplitWindow {
	public:
		TMyWindow(TWindow* parent, const char far* title,
				TWindow* child1, TWindow* child2, int child1Size = 50,
				BOOL isVert = TRUE, TModule* module = 0)
			: TSplitWindow(parent, title, child1, child2, child1Size, isVert, module) {};
	protected:
		void CmSwitch();
		void CmNewClient();
		void CmSetText();
		void CmAbout();

		DECLARE_RESPONSE_TABLE(TMyWindow);
};

DEFINE_RESPONSE_TABLE1(TMyWindow, TSplitWindow)
	EV_COMMAND(CM_SWITCH, CmSwitch),
	EV_COMMAND(CM_NEWCLIENT, CmNewClient),
	EV_COMMAND(CM_SETTEXT, CmSetText),
	EV_COMMAND(CM_ABOUT, CmAbout),
END_RESPONSE_TABLE;

void TMyWindow::CmSwitch()
{
	Switch();
}

void TMyWindow::CmSetText()
{
	TEdit* edit = TYPESAFE_DOWNCAST(GetRightChild(), TEdit);
	edit->SetText("This is a test");
}

void TMyWindow::CmNewClient()
{
	SetRightChild(new TEditFile(0,0,0,0,0,0,0,"splitwin.h"));
}

void TMyWindow::CmAbout()
{
	TDialog(this, IDD_ABOUT).Execute();
}

class TTestApp : public TApplication {
	public:
		TTestApp(const char far* title) : TApplication(title) {}

		void InitMainWindow()
		{
			TSplitWindow* client = new TMyWindow(0, 0,
				new TEditFile(0,0,0,0,0,0,0,"splitwin.txt"),
				new TEdit(0,0,0,0,0,0,0,0,TRUE));
			SetMainWindow(new TFrameWindow(0, "Split Window Test Program", client));
			GetMainWindow()->AssignMenu(MENU_1);
		}
};

int OwlMain(int /*argc*/, char* /*argv*/ [])
{
	TTestApp app("Test App");
	int ret = app.Run();
	return ret;
}