//----------------------------------------------------------------------------
// TSplitWindow - (C) Copyright 1995 by Kent Reisdorph
// #include "splitwin.h"
// Definition of class TSplitWindow, a class allow horizontal
// or vertical splitting and resizing of two windows.
//----------------------------------------------------------------------------

#ifndef __SPLITWIN_H
#define __SPLITWIN_H

#ifndef __OWL_LAYOUTWI_H
#include <owl\layoutwi.h>
#endif
#ifndef __OWL_GDIOBJEC_H
#include <owl\gdiobjec.h>
#endif
#ifndef __OWL_DC_H
#include <owl\dc.h>
#endif

class TSplitWindow : public TLayoutWindow {
	public:
		TSplitWindow(TWindow* parent, const char far* title,
									TWindow* child1, TWindow* child2, int child1Size = 50,
									BOOL isVert = TRUE, TModule* module = 0);
		~TSplitWindow();
		void Switch();
		TWindow* SetLeftChild(TWindow* client);
		TWindow* SetRightChild(TWindow* client);
		BOOL IsVertical();
		TWindow* GetLeftChild();
		TWindow* GetRightChild();
		
	protected:
		void EvLButtonDown(UINT, TPoint&);
		void EvLButtonUp(UINT, TPoint&);
		void EvMouseMove(UINT, TPoint&);
		BOOL EvSetCursor(HWND, UINT, UINT);

	private:
		void LayoutVertical();
		void LayoutHorizontal();
		void SetNewPositions(TPoint& point);
		void DrawSizingBar(TPoint& point);
		
		BOOL isVertical;
		TWindow* childLeft;
		TWindow* childRight;
		TPoint oldPoint;
		TPen* sizingPen;
		BOOL dragging;
		BOOL offScreen;
		int leftChildSize;
		int clientHeight;
		int clientWidth;
		char* arrowType;
		TWindowDC* dc;

	DECLARE_RESPONSE_TABLE(TSplitWindow);
};

inline BOOL TSplitWindow::IsVertical() {
	return isVertical;
}

inline TWindow* TSplitWindow::GetLeftChild() {
	return childLeft;
}

inline TWindow* TSplitWindow::GetRightChild() {
	return childRight;
}

#endif

